function CstNewProject(fid)
global mws;
%--------------------------------------------------------------------------
% Autor Petr Moravec
% Datum vytvoreni 18.10.2008
%--------------------------------------------------------------------------
% Urceni funkce:
%
% Funkce je pouzita k zapisu funkci do souboru TmpMyFile pro otevreni 
% programu CST Studia 2006b pomoci Active X a dale k zapisu funkce k 
% vytvoreni noveho projektu v programu CST Studiu 2006b
%
% Example:
% TmpMyFile = 'C:\temp\myfile.m';
% fid = fopen(TmpMyFile, 'wt');
% CstNewProject(fid);
% 
% Soubor TmpMyFile je docasny soubor pro praci, soubor lze samorejme
% prejmenovat podle sve potreby
%
% Funkce fid = fopen(TmpMyFile, 'wt'); je nutna pro vytvoreni docasneho
% souboru.
% Funkce fprintf jsou pouzity k zapisu dane funkce do docasneho souboru
% Funkce disp je informacni funkce, pomoci ktere se vypisuje komentar do 
% Command window
% -------------------------------------------------------------------------

%vypsani komentare do Command window
disp(sprintf(['Otevreni a vytvoreni noveho projektu ',datestr(now),' v CSTMWS']));
fprintf(fid, ['%% Otevreni a vytvoreni noveho projektu ',datestr(now),' v CSTMWS\n\n']);

%Otevreni programu CSTMWS STUDIO 2006b...
fprintf(fid, '%% Otevreni programu CSTMWS STUDIO 2006b\n');
fprintf(fid, 'cst = actxserver(''CSTStudio.application'');\n\n');

%otevre novy projekt v CST
fprintf(fid, '%% Otevre novy projekt v CST\n');
fprintf(fid, 'mws = cst.invoke(''NewMWS'');\n\n');

%--------------------------------------------------------------------------
%Prime provedeni funkce
%Otevreni programu CSTMWS STUDIO 2006b...
cst = actxserver('CSTStudio.application');

%otevre novy projekt v CST
mws = cst.invoke('NewMWS');

end